/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.middleelementusingstreams;

import java.util.Arrays;

/**
 *
 * @author omozegieaziegbe
 */
public class MiddleElementUsingStreams {

    public static int findMiddleOdd(int[] array) {
        return Arrays.stream(array)
                .skip(array.length / 2)
                .findFirst()
                .orElseThrow(() -> new IllegalArgumentException("Array is empty"));
    }

    public static void main(String[] args) {
        int[] oddArray = {1, 2, 3, 9, 5};
        int middleElement = findMiddleOdd(oddArray);
        System.out.println("Middle Element in Odd-sized Array: " + middleElement);
    }
    
}
