/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.middleelementsusingstreamseven;

import java.util.Arrays;

/**
 *
 * @author omozegieaziegbe
 */
public class MiddleElementsUsingStreamsEven {

    public static int[] findMiddleBothEven(int[] array) {
        int middleIndex1 = array.length / 2 - 1;
        int middleIndex2 = array.length / 2;

        return Arrays.stream(array)
                .skip(middleIndex1)
                .limit(2)
                .toArray();
    }

    public static void main(String[] args) {
        int[] evenArray = {1, 4, 2, 5, 3, 6};
        int[] middleElements = findMiddleBothEven(evenArray);

        System.out.println("Middle Elements in Even-sized Array: " + Arrays.toString(middleElements));
    }
    
}
